import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import AutoImport from 'unplugin-auto-import/vite'
import Components from 'unplugin-vue-components/vite'
import { ElementPlusResolver } from 'unplugin-vue-components/resolvers'

// https://vite.dev/config/
export default defineConfig({
  plugins: [
    vue(),
    AutoImport({
      resolvers: [ElementPlusResolver()],
    }),
    Components({
      resolvers: [ElementPlusResolver()],
    }),
  ],
  css: {
    preprocessorOptions: {
      less: {
        // 全局引入less
        // additionalData: `@import "./src/assets/scss/variables.scss";`
      }
    }
  },
  server: {
    proxy: {
      '/v1': {
        target: 'http://10.82.14.177',
        changeOrigin: true,
        // rewrite: (path) => path.replace(/^\/v1/, '')
      }
    }
  },
  // build: {
  //   chunkSizeWarningLimit: 500,
  //   rollupOptions: {
  //     output: {
  //       manualChunks(id) {
  //         if (id.includes('node_modules')) {
  //           const parts = id.split('node_modules/')[1].split('/');
  //           return parts[0]; // 按依赖包名分包
  //         }
  //         return 'default'; // 其他模块默认分包
  //       },
  //     },
  //   },
  // }
})
